> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pdf.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Email with File

> Send an email. An email can be with or without attachment.

## `POST /v1/email/send`

<Note>For converting email to PDF please see [PDF from Email](/api-reference/pdf-from-email).</Note>

## Attributes

<Note>Attributes are case-sensitive and should be inside JSON for POST request. for example: `{ "url": "https://example.com/file1.pdf" }`</Note>

| Attribute                     | Type    | Required | Default | Description                                                                                                                                                                                                                                      |
| ----------------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `url`                         | string  | *Yes*    | -       | URL to the source file [`url` attribute](/api-reference/url-input-and-request-limits#supported-file-sources)                                                                                                                                     |
| `callback`                    | string  | *No*     | -       | The callback URL (or Webhook) used to receive the POST data. see [Webhooks & Callbacks](/api-reference/webhooks). This is only applicable when `async` is set to `true`.                                                                         |
| `async`                       | boolean | *No*     | `false` | Set `async` to `true` for long processes to run in the background, API will then return a `jobId` which you can use with the [Background Job Check endpoint](/api-reference/job-check). Also see [Webhooks & Callbacks](/api-reference/webhooks) |
| `from`                        | string  | *Yes*    | -       | The "From" field with sender name and email                                                                                                                                                                                                      |
| `to`                          | string  | *Yes*    | -       | The "To" field with receiver name and email                                                                                                                                                                                                      |
| `subject`                     | string  | *Yes*    | -       | The subject for the outgoing email.                                                                                                                                                                                                              |
| `bodytext`                    | string  | *No*     | -       | The plain text version of the outgoing email message.                                                                                                                                                                                            |
| `bodyhtml`                    | string  | *No*     | -       | The HTML version of the outgoing email message.                                                                                                                                                                                                  |
| `smtpserver`                  | string  | *Yes*    | -       | The SMTP server to use for sending the email.                                                                                                                                                                                                    |
| `smtpport`                    | integer | *Yes*    | -       | The port number of the SMTP server.                                                                                                                                                                                                              |
| `smtpusername`                | string  | *Yes*    | -       | The username for the SMTP server.                                                                                                                                                                                                                |
| `smtppassword`                | string  | *Yes*    | -       | The password for the SMTP server. If you use Gmail then you need to generate an [app-specific password](https://support.google.com/accounts/answer/185833)                                                                                       |
| `profiles`                    | object  | *No*     | -       | See [Profiles](/api-reference/profiles) for more information.                                                                                                                                                                                    |
|     `DataEncryptionAlgorithm` | string  | *No*     | -       | Controls the encryption algorithm used for data encryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information. The available algorithms are: `AES128`, `AES192`, `AES256`.                        |
|     `DataEncryptionKey`       | string  | *No*     | -       | Controls the encryption key used for data encryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information.                                                                                          |
|     `DataEncryptionIV`        | string  | *No*     | -       | Controls the encryption IV used for data encryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information.                                                                                           |
|     `DataDecryptionAlgorithm` | string  | *No*     | -       | Controls the decryption algorithm used for data decryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information. The available algorithms are: `AES128`, `AES192`, `AES256`.                        |
|     `DataDecryptionKey`       | string  | *No*     | -       | Controls the decryption key used for data decryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information.                                                                                          |
|     `DataDecryptionIV`        | string  | *No*     | -       | Controls the decryption IV used for data decryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information.                                                                                           |

## Query parameters

*No query parameters accepted.*

## Responses

| Parameter          | Type    | Description                                                                                                                  |
| ------------------ | ------- | ---------------------------------------------------------------------------------------------------------------------------- |
| `error`            | boolean | Indicates whether an error occurred (`false` means success)                                                                  |
| `status`           | string  | Status code of the request (200, 404, 500, etc.). For more information, see [Response Codes](/api-reference/response-codes). |
| `credits`          | integer | Number of credits consumed by the request                                                                                    |
| `remainingCredits` | integer | Number of credits remaining in the account                                                                                   |

## `Example` Payload

<Note>To see the request size limits, please refer to the [Request Size Limits](/api-reference/url-input-and-request-limits#pdf-co-request-size).</Note>

```json theme={null}
{
  "url": "https://pdfco-test-files.s3.us-west-2.amazonaws.com/pdf-info/sample.pdf",
  "from": "John Doe <john@example.com>",
  "to": "Partner <partner@example.com>",
  "subject": "Check attached sample pdf",
  "bodytext": "Please check the attached pdf",
  "bodyHtml": "Please check the attached pdf",
  "smtpserver": "smtp.gmail.com",
  "smtpport": "587",
  "smtpusername": "my@gmail.com",
  "smtppassword": "app specific password created as https://support.google.com/accounts/answer/185833",
  "async": false
}
```

## `Example` Response

<Note>To see the main response codes, please refer to the [Response Codes](/api-reference/response-codes) page.</Note>

```json theme={null}
{
  "error": false,
  "status": 200,
  "remainingCredits": 60095
}
```

<Note>
  **Inconsistent URL Encoding in cURL Output:** When using cURL to make API requests, the output JSON may show URL characters encoded as Unicode escape sequences. For example, the ampersand character (`&`) may appear as `\u0026` in the cURL output. This is normal JSON encoding behavior and does not affect the validity of the URL. The URL will function correctly when used, as JSON parsers automatically decode these escape sequences. If you're parsing the response programmatically, your JSON parser will handle this conversion automatically.
</Note>

## Code Samples

<Tabs>
  <Tab title="CURL">
    ```bash theme={null}
    curl --location --request POST 'https://api.pdf.co/v1/email/send' \
    --header 'Content-Type: application/json' \
    --header 'x-api-key: *******************' \
    --data-raw '{
    "url": "https://pdfco-test-files.s3.us-west-2.amazonaws.com/pdf-info/sample.pdf",
    "from": "John Doe <john@example.com>",
    "to": "Partner <partner@example.com>",
    "subject": "Check attached sample pdf",
    "bodytext": "Please check the attached pdf",
    "bodyHtml": "Please check the attached pdf",
    "smtpserver": "smtp.gmail.com",
    "smtpport": "587",
    "smtpusername": "my@gmail.com",
    "smtppassword": "app specific password created as https://support.google.com/accounts/answer/185833",
    "async": false
    }'
    ```
  </Tab>
</Tabs>
